- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUE
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

CONF_modules_free, CONF_modules_finish, CONF_modules_unload - OpenSSL configuration cleanup functions

# SYNOPSIS

     #include <openssl/conf.h>

     void CONF_modules_finish(void);
     void CONF_modules_unload(int all);

Deprecated:

     #if OPENSSL_API_COMPAT < 0x10100000L
     void CONF_modules_free(void)
     #endif

# DESCRIPTION

CONF_modules_free() closes down and frees up all memory allocated by all configuration modules.

CONF_modules_finish() calls each configuration modules finish handler to free up any configuration that module may have performed.

CONF_modules_unload() finishes and unloads configuration modules. If all is set to 0 only modules loaded from DSOs will be unloads. If all is 1 all modules, including builtin modules will be unloaded.

# NOTES

Normally in versions of OpenSSL prior to 1.1.0 applications will only call CONF_modules_free() at application exit to tidy up any configuration performed. From 1.1.0 CONF_modules_free() is deprecated and no explicit CONF cleanup is required at all. For more information see RETURN VALUE

None of the functions return a value.

# SEE ALSO

OPENSSL_config(3), HISTORY

CONF_modules_free() was deprecated in OpenSSL 1.1.0.

# COPYRIGHT

Copyright 2004-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.